# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 331033f1f6abe259218666e6f6a848f38d884078
    parent f7398434b8fa949af7bf43472caaefdd97eed0f3
    Author: Klemens Nanni <kl3@posteo.org>
    Date:   Thu, 13 Oct 2016 16:28:50 +0200

    Add missing device path to '-l' example

    Also, it's ttyS0 not ttySO.

    Diffstat:
    Mst.1 | 8++++----

    1 file changed, 4 insertions(+), 4 deletions(-)
    diff --git a/st.1 b/st.1
    @@ -96,18 +96,18 @@ use a tty
     .I line
     instead of a pseudo terminal.
     .I line
    -should be a (pseudo-)serial device (e.g. /dev/ttySO on Linux for serial port
    +should be a (pseudo-)serial device (e.g. /dev/ttyS0 on Linux for serial port
     0).
     When this flag is given
     remaining arguments are used as flags for
     .BR stty(1).
     By default st initializes the serial line to 8 bits, no parity, 1 stop bit
     and a 38400 baud rate. The speed is set by appending it as last argument
    -(e.g. 'st -l 115200'). Arguments before the last one are
    +(e.g. 'st -l /dev/ttyS0 115200'). Arguments before the last one are
     .BR stty(1)
     flags. If you want to set odd parity on 115200 baud use for example 'st -l
    -parenb parodd 115200'. Set the number of bits by using for example 'st -l cs7
    -115200'. See
    +/dev/ttyS0 parenb parodd 115200'. Set the number of bits by using for
    +example 'st -l /dev/ttyS0 cs7 115200'. See
     .BR stty(1)
     for more arguments and cases.
     .TP